Package org.firebirdsql.gds

## Interface EventHandler

    public interface EventHandler

A callback handler interface for event handling.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `eventOccurred​(EventHandle eventHandle)` Called when a database event occurs.

### Method Detail

#### eventOccurred

    void eventOccurred​(EventHandle eventHandle)

Called when a database event occurs.

Implementations should take care to only perform short processing on the current thread. If longer or complicated processing is necessary, please offload it to another thread or executor.

Parameters:
  `eventHandle` - The event handle